%% plot SRV 
% plot all fractures
L=50
pd=cd
name=['\SRV\allfractures','.txt']
allfracture=load([pd,name])
[X,Y] = LinesToXYnan2D(allfracture);% get the coordinate of every fracture;
Box = [0 1*L 0 1*L];
Num=size(allfracture,1)
figure
for i = 1:Num
    plot(X(:,i),Y(:,i),'color','b','linewidth',1);
    hold on
end
% plot partially open fractures;
name=['\SRV\PartiallyOpenFracture','.txt']
PartiallyOpenFracture=load([pd,name])
[X,Y] = LinesToXYnan2D(PartiallyOpenFracture);% get the coordinate of every fracture;
Num=size(PartiallyOpenFracture,1)
for i = 1:Num
    plot(X(:,i),Y(:,i),'color','g','linewidth',1.5);
    hold on
end
axis equal;
axis (Box);
axis off;
set(gca,'Ytick',[])
set(gca,'Xtick',[])
%% plot SRV formed by partially open fractures which intersect the primary hydraulic fracture;
L=50
figure
name=['\SRV\allfractures','.txt']
allfracture=load([pd,name])
[X,Y] = LinesToXYnan2D(allfracture);% get the coordinate of every fracture;
Box = [0 1*L 0 1*L];
Num=size(allfracture,1)
figure
for i = 1:Num
    plot(X(:,i),Y(:,i),'color','b','linewidth',1);
    hold on
end
% plot partially open fractures
name=['\SRV\CrossPartiallyOpenFracture','.txt']
CrossPartiallyOpenFracture=load([pd,name])
[X,Y] = LinesToXYnan2D(CrossPartiallyOpenFracture);% get the coordinate of every fracture;
name=['\SRV\CrossPartiallyOpenFracturelabel','.txt'];
FractureLabel=load([pd,name])
SpanLabel=mode(FractureLabel);
Num=size(CrossPartiallyOpenFracture,1)
lengthpartial=0;
for i = 1:Num
    if(FractureLabel(i) == SpanLabel)
        plot(X(:,i),Y(:,i),'color','r','linewidth',2);
        lengthpartial=lengthpartial+Lengths2D(CrossPartiallyOpenFracture(i,:));
    else
        plot(X(:,i),Y(:,i),'g','linewidth',2);
    end
    hold on
end
axis equal;
axis (Box);
axis off;
set(gca,'Ytick',[])
set(gca,'Xtick',[])
%% Plot SRV formed by critially stressed fractures;
L=50
Box = [0 1*L 0 1*L];
figure
name=['\SRV\CriticalFracture','.txt']
CriticalFracture=load([pd,name])
[X,Y] = LinesToXYnan2D(CriticalFracture);% get the coordinate of every fracture;
name=['\SRV\CriticalFracturelabel','.txt'];
FractureLabel=load([pd,name])
SpanLabel=mode(FractureLabel);
Num=size(CriticalFracture,1)
lengthcritical=0;
for i = 1:Num
    if(FractureLabel(i) == SpanLabel)
        plot(X(:,i),Y(:,i),'color','r','linewidth',2);
        lengthcritical=lengthcritical+Lengths2D(CriticalFracture(i,:));
    else
        plot(X(:,i),Y(:,i),'g','linewidth',2);
    end
    hold on
end
axis equal;
axis (Box);
axis off;
set(gca,'Ytick',[])
set(gca,'Xtick',[])
%% plot SRV formed by critically stressed fractures and partially open fractures;
figure
name=['\SRV\CriticalPlusFracture','.txt']
afterfractures=load([pd,name])
[X,Y] = LinesToXYnan2D(afterfractures);% get the coordinate of every fracture;
name=['\SRV\CriticalPlusFracturelabel','.txt'];
FractureLabel=load([pd,name])
SpanLabel=mode(FractureLabel);
Num=size(afterfractures,1)
lengthplus=0;
for i = 1:Num
    if(FractureLabel(i) == SpanLabel)
        plot(X(:,i),Y(:,i),'color','r','linewidth',2);
        lengthplus=lengthplus+Lengths2D(afterfractures(i,:));
    else
        plot(X(:,i),Y(:,i),'g','linewidth',2);
    end
    hold on
end
axis equal;
axis (Box);
axis off;
set(gca,'Ytick',[])
set(gca,'Xtick',[])
hold on
plot([0,L],[L/2,L/2],'r','linewidth',3);